#
%define		_state		stable
%define		orgname		print-manager
%define		qtver		4.8.0
%define		kdeworkspacever	4.11.0

Summary:	K Desktop Environment - print manager
Name:		kde4-print-manager
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	234e9152d0b0f17b65cbc62407e03094
URL:		http://www.kde.org/
BuildRequires:	automoc4
BuildRequires:	cups-devel
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	qt4-build
Requires:	kde4-kdebase-workspace >= %{kdeworkspacever}
Obsoletes:	kde4-kdeutils-print-manager
Obsoletes:	kde4-printer-manager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors.

%description -l pl.UTF-8
Printer Applet to narzedzie zasobnika systemowego, ktore pokazuje
aktualne zadania drukarki, ostrzezenia i bledy.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DINSTALL_PRINTER_APPLET=TRUE \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kde-add-printer
%attr(755,root,root) %{_bindir}/kde-print-queue
%dir %{_libdir}/kde4/imports/org/kde/printmanager
%{_libdir}/kde4/imports/org/kde/printmanager/qmldir
%attr(755,root,root) %{_libdir}/kde4/imports/org/kde/printmanager/libprintmanager.so
%attr(755,root,root) %{_libdir}/kde4/kcm_printer_manager.so
%attr(755,root,root) %{_libdir}/kde4/kded_printmanager.so
%attr(755,root,root) %{_libdir}/kde4/libexec/configure-printer
#%attr(755,root,root) %{_libdir}/kde4/plugins/designer/printmanagerwidget.so
%attr(755,root,root) %{_libdir}/libkcupslib.so
%{_datadir}/apps/plasma/plasmoids/org.kde.printmanager
%{_datadir}/apps/printmanager
%{_datadir}/dbus-1/services/org.kde.ConfigurePrinter.service
%{_datadir}/kde4/services/kcm_printer_manager.desktop
%{_datadir}/kde4/services/kded/printmanager.desktop
%{_datadir}/kde4/services/plasma-applet-printmanager.desktop
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-print-manager.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 0cf0ccd
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8dee2c3
- up to 4.14.2

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0d9ae70
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 88ed742
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a0a97de
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b7a3c9a
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f03956a
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0470e97
- updated to 4.12.4 (by update-kde4.sh)

* Sat Mar 15 2014 Jan Rękorajski <baggins@pld-linux.org> fb6bded
- 4.12.3

* Sun Mar 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a0b54f3
- the qmldir file is important and must be packaged
- rel 2

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 77022b1
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 26d110f
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 30a5641
- up to 4.12.0

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ad9fa0
- workspace will be longerm at 4.11 version now

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> 162a8e6
- Up to 4.11.4.

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c4aa3d1
- initial

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> bb6f952
- 4.10.4

* Tue Feb 26 2013 Jan Rękorajski <baggins@pld-linux.org> 35ea985
- new

